package cn.iocoder.yudao.module.member.service.alloc;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.member.controller.admin.alloc.vo.AllocPageReqVO;
import cn.iocoder.yudao.module.member.controller.admin.alloc.vo.AllocSaveReqVO;
import cn.iocoder.yudao.module.member.dal.dataobject.alloc.AllocDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 配置 Service 接口
 *
 * @author 开发账号
 */
public interface AllocService {

    /**
     * 创建配置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createAlloc(@Valid AllocSaveReqVO createReqVO);

    /**
     * 更新配置
     *
     * @param updateReqVO 更新信息
     */
    void updateAlloc(@Valid AllocSaveReqVO updateReqVO);

    /**
     * 删除配置
     *
     * @param id 编号
     */
    void deleteAlloc(Long id);

    /**
     * 获得配置
     *
     * @param id 编号
     * @return 配置
     */
    AllocDO getAlloc(Long id);

    /**
     * 获得配置分页
     *
     * @param pageReqVO 分页查询
     * @return 配置分页
     */
    PageResult<AllocDO> getAllocPage(AllocPageReqVO pageReqVO);

    List<AllocDO> getAllocList();
}